Backport PHP5 DSA

De ClissXXI.

Exercise: a new security patch is released for PHP5. The backport need to be updated as well.

The simplest way is applying the difference between the 2 security releases, using interdiff:

# Get the security patch
wget http://security.debian.org/pool/updates/main/p/php5/php5_5.2.0-8+etch3.diff.gz
wget http://security.debian.org/pool/updates/main/p/php5/php5_5.2.0-8+etch4.diff.gz
gunzip *.gz
interdiff php5_5.2.0-8+etch3.diff php5_5.2.0-8+etch4.diff > php5-dsa.patch
# Apply the patch:
apt-src install php5
patch -p0 < php5-dsa.patch
# (merge the changelog manually)
debuild -us -uc

I had to struggle somehow to get apt-get buildep to work, I don't really know why.

My changelog entry:

php5 (5.2.0-8+etch4~bpo.1) sarge-backports; urgency=high

  * Apply DSA patch to the backport.

 -- Sylvain Beucler <beuc@beuc.net>  Mon, 21 May 2007 10:56:35 +0200
Outils personnels